LOGGER(1)

NAME
logger - make entries in the system log

SYNOPSIS
logger [-is] [-f file] [-p pri] [-t tag] [message ...]

DESCRIPTION
Logger provides a shell command interface to the syslog(3) system log module.

Options:

-i  Log the process id of the logger process with each line.

-s  Log the message to standard error, as well as the system log.

-f file
    Log the specified file.

-p pri
    Enter the message with the specified priority. The priority may be specified numerically or as a ``facility.level'' pair. For example, ``-p local3.info'' logs the message(s) as informational level in the local3 facility. The default is ``user.notice.''

-t tag
    Mark every line in the log with the specified tag.

message
    Write the message to log; if not specified, and the -f flag is not provided, standard input is logged.

The logger utility exits 0 on success, and >0 if an error occurs.

EXAMPLES
    logger System rebooted
    logger -p local0.notice -t HOSTIDM -f /dev/idmc

SEE ALSO
syslog(3), syslogd(8)

STANDARDS
The logger command is expected to be p1003.2 compatible.